Welcome Guest,Register Now
Log In

ANT Forum

Welcome guest, please Login or Register

   

demo

RankRankRankRank

Total Posts: 524

Joined 2012-11-15

PM

Hi everyone,

I'm trying to run the AntPlusDemo but it is not going well.
Building processes seems to be Ok,
but when I tried to run the demo in the simulator, this error appears

Installation error: INSTALL_FAILED_MISSING_SHARED_LIBRARY


I changed the building API but still come to this error.
Anybody can help?

Thanks

fhkiel      
Rank

Total Posts: 6

Joined 0

PM

I have the same problem, but you can transfer it to your phone and test it there      
Avatar
RankRank

Total Posts: 39

Joined 2011-06-29

PM

The ANT+ Demo and ANT Radio Service will only install on a phone which supports ANT. The default Android emulator does not support ANT. However there is a tool (Currently in beta testing and available to ANT+ Members) called the Android Emulator Bridge which gives the emulator ANT support using an ANT USB stick.      
RankRankRankRank

Total Posts: 524

Joined 2012-11-15

PM

but why google MyTrack can install in Emulator, and the same apk can install in Sony XPERIA Neo, also see Ant+ function.      
Avatar
RankRankRankRank

Total Posts: 129

Joined 2010-11-30

PM

What are you trying to achieve with the ANT+ Demo on the emulator? As it only displays ANT+ data, it is useless on a phone/emulator with no ANT support.

MyTracks is not restricted to phones with ANT support as it does more than display ANT+ data. If you are using the ANT+ Demo source as a starting point for your own development, and would like to remove the restriction, the "Creating ANT+ Android Applications" document has a section on "Checking for ANT support":


If your application requires ANT support to be useful and you want to only make it available to devices with ANT support, you can add the following to AndroidManifest.xml:
<uses-library android:name="com.dsi.ant.antradio_library" >


Note that we will be removing this recommendation, as removable ANT hardware (ie. USB sticks) can be used on phones without this library.